
%define libname %mklibname git
%define profile_branch 93git-branch.sh
%define profile_env    93git-env.sh

Name:    git
Version: 1.7.3
Release: %mkrel 2
Epoch:   1

Summary: Global Information Tracker
License: GPLv2
Group:   Development/Other
Url:     http://git-scm.com/
Source0: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2
Source1: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2.sign
Source2: gitweb.conf
Source3: %{profile_branch}
Source4: %{profile_env}

BuildRequires: asciidoc
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: openssl-devel
BuildRequires: perl-CGI
BuildRequires: python-devel
BuildRequires: xmlto
BuildRequires: zlib-devel
BuildRequires: docbook-dtd45-xml

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Obsoletes: linus-git < 1.5.4.3-2
Provides:  linus-git

Requires: git-core = %{epoch}:%{version}
Requires: gitk = %{epoch}:%{version}
Requires: git-svn = %{epoch}:%{version}
Requires: git-email = %{epoch}:%{version}
Suggests: git-arch = %{epoch}:%{version}
Suggests: git-core-oldies = %{epoch}:%{version}
Suggests: git-cvs = %{epoch}:%{version}

%description
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This is a dummy package which brings in all subpackages.


%package -n git-core
Summary: Global Information Tracker
Group: Development/Other
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Suggests: git-prompt
Conflicts: git < 4.3.20-15
Obsoletes: gitcompletion
Provides: gitcompletion

%description -n git-core
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This are the core tools with minimal dependencies.

You may want to install subversion, cpsps and/or tla to import
repositories from other VCS.


%package -n gitk
Summary: Git revision tree visualiser
Group: Development/Other
Requires: git-core = %{epoch}:%{version}
Requires: tk >= 8.4
Requires: tcl >= 8.4

%description -n gitk
Git revision tree visualiser.

%package -n gitview
Summary: Git graphical revision tree visualiser
Group: Development/Other
Requires: git-core = %{epoch}:%{version}
Requires: python-cairo
Requires: pygtk2.0
Requires: python-gtksourceview

%description -n gitview
Git graphical revision tree visualiser.

%package -n %libname-devel	
Summary: Git development files	
Group: Development/Other	
Provides: git-devel = %version-%release	
 	 	
%description -n %libname-devel	
Development files for git.

%package -n git-svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}, subversion
%description -n git-svn
Git tools for importing Subversion repositories.

%package -n git-cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Suggests: 	cvs, cvsps
%description -n git-cvs
Git tools for importing CVS repositories.

%package -n git-arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
Suggests:	tla
%description -n git-arch
Git tools for importing Arch repositories.

%package -n git-email
Summary:        Git tools for sending email
Group:          Development/Other
Requires:       git-core = %{epoch}:%{version}-%{release}
%description -n git-email
Git tools for sending email.

%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Perl
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n perl-Git
Perl interface to Git

%package -n python-git
Summary:        Python interface to Git
Group:          Development/Python
Requires:       git-core = %{epoch}:%{version}-%{release}

%description -n python-git
Python interface to Git

%package -n git-core-oldies
Summary:	Git obsolete commands, bound to extinction
Group:		Development/Other
Requires:	git-core = %{epoch}:%{version}-%{release}

%description -n git-core-oldies
Git obsolete commands, bound to extinction

%package -n gitweb
Summary:	cgi-bin script for browse a git repository with web browser
Group:		System/Servers
Requires:	git-core = %{epoch}:%{version}-%{release}

%description -n gitweb
cgi-bin script for browse a git repository with web browser.

%package -n git-prompt
Summary:        Shows the current git branch in your bash prompt
Group:          Shells
Requires:       git-core = %{epoch}:%{version}-%{release}
%description -n git-prompt
Shows the current git branch in your bash prompt.

%prep
%setup -q -n git-%{version}
# remove borring file
rm -f Documentation/.gitignore
# prefix gitweb css/png files with /gitweb
perl -pi -e 's!^(GITWEB_CSS|GITWEB_LOGO|GITWEB_FAVICON) = !$1 = /gitweb/!' Makefile

%build
# same flags and prefix must be passed for make test too
%define git_make_params prefix=%{_prefix} gitexecdir=%{_libdir}/git-core CFLAGS="$RPM_OPT_FLAGS" GITWEB_CONFIG=%{_sysconfdir}/gitweb.conf DOCBOOK_XSL_172=1
%make %git_make_params all doc gitweb/gitweb.cgi

# Produce RelNotes.txt.gz
# sed trick changes "-x.y.z.txt" to "-x.y.z.0.txt" for ordering, then undoes it
# use awk to print a newline before each RelNotes header
cd Documentation/RelNotes \
&& relnotesls="`find . -name '*.txt' | sed 's/\([0-9]\.[0-9]\.[0-9]\)\.txt/\1.0.txt/' | sort -nr | sed 's/\([0-9]\.[0-9]\.[0-9]\)\.0\.txt/\1.txt/'`" \
&& awk 'FNR == 1 { print "" } { print }' $relnotesls | gzip -9c >../RelNotes.txt.gz

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std prefix=%{_prefix} gitexecdir=%{_libdir}/git-core  CFLAGS="$RPM_OPT_FLAGS"
make install-doc prefix=%{_prefix} gitexecdir=%{_libdir}/git-core   DESTDIR=$RPM_BUILD_ROOT
# (cg) Copy the whole contrib dir as docs. It contains useful scripts.
mkdir -p %{buildroot}%{_datadir}/doc/git-core
cp -ar contrib %{buildroot}%{_datadir}/doc/git-core
# (cg) Even tho' we copy the whole contrib dir, copy this rather than symlink incase the user is excluding docs
install -m 755 contrib/gitview/gitview %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_includedir}/git
cp *.h %{buildroot}%{_includedir}/git

mkdir -p %{buildroot}%{_libdir}
install -m 644 libgit.a %buildroot%{_libdir}/libgit.a

mv %{buildroot}/%{_prefix}/lib/perl5/site_perl %{buildroot}/%{_prefix}/lib/perl5/vendor_perl
rm -f %{buildroot}/%{perl_vendorlib}/Error.pm

mkdir -p %{buildroot}%{_datadir}/gitweb/static
install -m 755 gitweb/gitweb.cgi %{buildroot}%{_datadir}/gitweb
install -m 644 gitweb/static/*.css gitweb/static/*.png %{buildroot}%{_datadir}/gitweb/static/

mkdir -p %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/gitweb.conf
# apache configuration
mkdir -p %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/gitweb.conf <<EOF
# gitweb configuration
Alias /gitweb %{_datadir}/gitweb

<Directory %{_datadir}/gitweb>
    Order allow,deny
    Allow from all
    Options ExecCgi
    DirectoryIndex gitweb.cgi
</Directory>
EOF

# fix .sp in man files
find %{buildroot}/%{_mandir} -type f | xargs perl -e 's/\.sp$/\n\.sp/g' -pi

# emacs VC backend:
mkdir -p %{buildroot}{%_datadir/emacs/site-lisp,/etc/emacs/site-start.d}
install -m 644 contrib/emacs/*.el %{buildroot}%{_datadir}/emacs/site-lisp
cat >%{buildroot}/etc/emacs/site-start.d/vc_git.el <<EOF
(add-to-list 'vc-handled-backends 'GIT)
EOF

# install bash-completion file
mkdir -p  %{buildroot}%{_sysconfdir}/bash_completion.d
install -m644 contrib/completion/git-completion.bash \
    %{buildroot}%{_sysconfdir}/bash_completion.d/git

# And the prompt manipulation file
install -D -m 0644 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/%{profile_branch}
# exposes a bug in less, as reported by coling
#install -D -m 0644 %SOURCE4 %{buildroot}%{_sysconfdir}/profile.d/%{profile_env}

%check
LC_ALL=C %make %git_make_params test

%clean
rm -rf $RPM_BUILD_ROOT

%post -n gitweb
%if %mdkversion < 201010
%_post_webapp
%endif

%postun -n gitweb
%if %mdkversion < 201010
%_postun_webapp
%endif

%files
# no file in the main package

%files -n git-core
%defattr(-,root,root,0755)
/etc/emacs/site-start.d/*
/etc/bash_completion.d/*
%{_datadir}/emacs/site-lisp/*
%{_bindir}/git
%{_bindir}/git-*
%{_libdir}/git-core
%exclude %{_libdir}/git-core/*svn*
%exclude %{_libdir}/git-core/*cvs*
%exclude %{_libdir}/git-core/git-archimport
%exclude %{_libdir}/git-core/*email*
# %exclude %{_bindir}/git-merge-recursive-old
%{_datadir}/git-core
%{_datadir}/git-gui
# %exclude %{_datadir}/git-core/python
%{_mandir}/*/git-*
%{_mandir}/*/git.*
%{_mandir}/*/gitattributes*
%{_mandir}/*/gitignore*
%{_mandir}/*/gitmodules*
%{_mandir}/*/gitcli*
%{_mandir}/*/githooks*
%{_mandir}/*/gitrepository*
%{_mandir}/*/*tutorial*
%{_mandir}/*/*glossary*
%{_mandir}/*/gitdiffcore*
%{_mandir}/*/gitworkflows*
%{_mandir}/*/gitrevisions*
%exclude %{_mandir}/man1/*svn*.1*
%exclude %{_mandir}/man1/*cvs*.1*
%exclude %{_mandir}/man7/*cvs*.7*
%exclude %{_mandir}/man1/*email*.1*
%exclude %{_mandir}/man1/git-archimport.1*
%doc README Documentation/*.html Documentation/howto Documentation/technical Documentation/RelNotes.txt.gz

%files -n gitk
%defattr(-,root,root,0755)
%{_bindir}/gitk
%{_mandir}/*/gitk*
%{_datadir}/gitk
%doc README

%files -n gitview
%defattr(-,root,root,0755)
%doc contrib/gitview/gitview.txt
%{_bindir}/gitview

%files -n %{libname}-devel	
%defattr(-,root,root,0755)
%{_includedir}/git
%{_libdir}/libgit.a

%files -n git-svn
%defattr(-,root,root)
%{_libdir}/git-core/*svn*
%{_mandir}/man1/*svn*.1*
# %doc Documentation/*svn*.txt
# %doc Documentation/*svn*.html

%files -n git-cvs
%defattr(-,root,root)
%{_libdir}/git-core/*cvs*
%{_mandir}/man1/*cvs*.1*
%{_mandir}/man7/*cvs*.7*
# %doc Documentation/*git-cvs*.txt
# %doc Documentation/*git-cvs*.html

%files -n git-arch
%defattr(-,root,root)
%{_libdir}/git-core/git-archimport
%{_mandir}/man1/git-archimport.1*
# %doc Documentation/git-archimport.txt
# %doc Documentation/git-archimport.html

%files -n git-email
%defattr(-,root,root)
%{_libdir}/git-core/*email*
%{_mandir}/man1/*email*.1*
# %doc Documentation/*email*.txt
# %doc Documentation/*email*.html

%files -n perl-Git
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/man3/*
# /usr/lib/perl5/site_perl/5.8.8/Git.pm
# /usr/local/share/man/man3/Git.3pm

%files -n python-git
%defattr(-,root,root)
%py_puresitedir/*

%files -n git-core-oldies
%defattr(-,root,root,0755)
# %{_bindir}/git-merge-recursive-old
# %{_datadir}/git-core/python

%files -n gitweb
%defattr(-,root,root,0755)
%doc gitweb/INSTALL gitweb/README
%config(noreplace) %{_sysconfdir}/gitweb.conf
%config(noreplace) %{_webappconfdir}/gitweb.conf
%{_datadir}/gitweb

%files -n git-prompt
%defattr(-,root,root,0755)
%{_sysconfdir}/profile.d/%{profile_branch}


%changelog
* Tue Sep 28 2010 Samuel Verschelde <stormi@mandriva.org> 1:1.7.3-2mdv2011.0
+ Revision: 581833
- fix doc build (RelNotes.txt.gz)

* Wed Sep 22 2010 Funda Wang <fwang@mandriva.org> 1:1.7.3-1mdv2011.0
+ Revision: 580497
- new version 1.7.3

* Sat Sep 04 2010 Funda Wang <fwang@mandriva.org> 1:1.7.2.3-2mdv2011.0
+ Revision: 575942
- update to new version 1.7.2.3

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 1:1.7.2.2-1mdv2011.0
+ Revision: 571402
- new version 1.7.2.2

* Wed Jul 28 2010 Thomas Backlund <tmb@mandriva.org> 1:1.7.2.1-1mdv2011.0
+ Revision: 562697
- update to 1.7.2.1

* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 1:1.7.2-1mdv2011.0
+ Revision: 557107
- New version 1.7.2

* Tue Jul 13 2010 Funda Wang <fwang@mandriva.org> 1:1.7.1.1-1mdv2011.0
+ Revision: 552117
- new version 1.7.1.1

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 1:1.7.1-1mdv2010.1
+ Revision: 538411
- new verison 1.7.1

* Tue Apr 13 2010 Funda Wang <fwang@mandriva.org> 1:1.7.0.5-1mdv2010.1
+ Revision: 534508
- new version 1.7.0.5

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 1:1.7.0.4-2mdv2010.1
+ Revision: 532066
- rebuild for new openssl

* Thu Apr 01 2010 Funda Wang <fwang@mandriva.org> 1:1.7.0.4-1mdv2010.1
+ Revision: 530626
- update to new version 1.7.0.4

* Tue Mar 23 2010 Thomas Backlund <tmb@mandriva.org> 1:1.7.0.3-1mdv2010.1
+ Revision: 526888
- update to 1.7.0.3

* Mon Mar 08 2010 Frederik Himpe <fhimpe@mandriva.org> 1:1.7.0.2-1mdv2010.1
+ Revision: 516794
- update to new version 1.7.0.2

* Sun Mar 07 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:1.7.0.1-2mdv2010.1
+ Revision: 515566
- add a check for the __got_ps1 type into $PS1 as well so that it won't report
  errors when a new shell spanwed inheriting it doesn't have the type

* Mon Mar 01 2010 Frederik Himpe <fhimpe@mandriva.org> 1:1.7.0.1-1mdv2010.1
+ Revision: 513064
- update to new version 1.7.0.1

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.7.0-3mdv2010.1
+ Revision: 511568
- rebuilt against openssl-0.9.8m

* Tue Feb 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.7.0-2mdv2010.1
+ Revision: 510448
- rely on filetrigger for reloading apache configuration begining with 2010.1,
  rpm-helper macros otherwise
- install all gitweb files under %%{_datadir}/gitweb

* Thu Feb 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.7.0-1mdv2010.1
+ Revision: 507377
- adding missing buildrequires:
- update to 1.7.0

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 1:1.6.6.2-1mdv2010.1
+ Revision: 504048
- update to new version 1.6.6.2
- BR dtd

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.6.1-1mdv2010.1
+ Revision: 494708
- update to new version 1.6.6.1

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.6-1mdv2010.1
+ Revision: 482017
- update to new version 1.6.6

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 1:1.6.5.7-1mdv2010.1
+ Revision: 479642
- new version 1.6.5.7

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 1:1.6.5.6-1mdv2010.1
+ Revision: 476368
- new version 1.6.5.6

* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 1:1.6.5.5-1mdv2010.1
+ Revision: 474200
- new version 1.6.5.5

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.5.3-1mdv2010.1
+ Revision: 467022
- update to new version 1.6.5.3

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.6.5.2-1mdv2010.1
+ Revision: 461034
- update to 16.5.2

* Wed Oct 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.6.4.4-6mdv2010.0
+ Revision: 458579
- bump mkrel
- don't set GIT_PAGER by now, it's exposing a bug in less

* Mon Oct 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.6.4.4-5mdv2010.0
+ Revision: 458199
- make git output work with mouse wheel

* Mon Oct 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.6.4.4-4mdv2010.0
+ Revision: 456905
- copied the wrong profile - i blame copy-n-paste

* Sun Oct 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.6.4.4-3mdv2010.0
+ Revision: 456667
- bumping mkrel
- fix #54293 - git diff broken by default by 10inputrc.sh

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:1.6.4.4-2mdv2010.0
+ Revision: 455838
- rebuild for new curl SSL backend

* Thu Sep 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.4.4-1mdv2010.0
+ Revision: 444157
- update to new version 1.6.4.4

* Mon Sep 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.6.4.3-2mdv2010.0
+ Revision: 439687
- patch0: silent bash-completion errors

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.4.3-1mdv2010.0
+ Revision: 438711
- update to new version 1.6.4.3

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.4.2-1mdv2010.0
+ Revision: 422415
- update to new version 1.6.4.2

* Sat Aug 22 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.4.1-1mdv2010.0
+ Revision: 419592
- update to new version 1.6.4.1

* Thu Jul 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.4-1mdv2010.0
+ Revision: 404492
- Release 1.6.4

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.6.3.3-3mdv2010.0
+ Revision: 390043
- don't duplicate spec-helper job
- install completion file with standard name

* Thu Jun 25 2009 Colin Guthrie <cguthrie@mandriva.org> 1:1.6.3.3-2mdv2010.0
+ Revision: 389054
- Include the contrib dir with the docs (it includes very useful scripts)

* Mon Jun 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.6.3.3-1mdv2010.0
+ Revision: 388043
- Updated to version 1.6.3.3

* Thu Jun 04 2009 Thomas Backlund <tmb@mandriva.org> 1:1.6.3.2-1mdv2010.0
+ Revision: 382709
- update to 1.6.3.2

  + Colin Guthrie <cguthrie@mandriva.org>
    - Deal with the bash prompt when the bash completion stuff is not sourced.

* Thu May 28 2009 Thomas Backlund <tmb@mandriva.org> 1:1.6.3.1-1mdv2010.0
+ Revision: 380632
- update to 1.6.3.1

* Wed May 27 2009 Colin Guthrie <cguthrie@mandriva.org> 1:1.6.3-1mdv2010.0
+ Revision: 380180
- Fix documentation building and set release to 1
- Add a git-prompt pacakge which includes a profile.d file to show the current git branch in the bash prompt

  + Thierry Vignaud <tv@mandriva.org>
    - new version

* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.2.4-3mdv2009.1
+ Revision: 368847
- Do not hard depend on git-cvs and git-arch
- replace hard dependencies on tla / cvs / cvsps for git-arch/git-cvs, use suggests (they are in contrib)

* Mon Apr 20 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1:1.6.2.4-2mdv2009.1
+ Revision: 368353
- produce a RelNotes.txt.gz with all RelNotes, and include it as doc

* Mon Apr 20 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1:1.6.2.4-1mdv2009.1
+ Revision: 368245
- new version 1.6.2.4, maintenance branch

* Mon Apr 13 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1:1.6.2.3-1mdv2009.1
+ Revision: 366818
- new version 1.6.2.3, maintenance branch

* Sat Apr 04 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1:1.6.2.2-1mdv2009.1
+ Revision: 363961
- new version 1.6.2.2, maintenance branch
- use same parameters for 'make all' and 'make test', otherwise git is
  all rebuilt for 'make test'

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.2.1-1mdv2009.1
+ Revision: 355717
- update to new version 1.6.2.1

* Wed Mar 04 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.6.2-1mdv2009.1
+ Revision: 348469
- Updated to version 1.6.2
- Reenable make test.

* Mon Feb 09 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 1:1.6.1.3-2mdv2009.1
+ Revision: 338927
- fix manpage generation
  * define DOCBOOK_XSL_172 to avoid broken "unfix" for older docbook
  * force MANPAGE_XSL=callouts.xsl because manpage-1.72.xsl breaks
  manpages in different place

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.1.3-1mdv2009.1
+ Revision: 338501
- update to new version 1.6.1.3

* Fri Jan 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.1.2-1mdv2009.1
+ Revision: 335599
- Release 1.6.1.2
- Release 1.6.1.2

* Thu Jan 15 2009 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.1-1mdv2009.1
+ Revision: 329922
- Add missing manpage
- Release 1.6.1
- Update url
- disable check, fails with svn 1.5.5

* Fri Dec 19 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.0.5-1mdv2009.1
+ Revision: 316134
- Release 1.6.0.5

* Thu Nov 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.0.4-1mdv2009.1
+ Revision: 302714
- Release 1.6.0.4

* Sat Sep 13 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.0.2-1mdv2009.0
+ Revision: 284550
- Update to new bugfix release 1.6.0.2

* Thu Aug 28 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.0.1-2mdv2009.0
+ Revision: 276802
- Do no install vim completion file, it is now provided by vim-common >= 7.2

* Mon Aug 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.6.0.1-1mdv2009.0
+ Revision: 276034
- Update to version 1.6.0.1

* Thu Aug 21 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.6.0-1mdv2009.0
+ Revision: 274672
- Release 1.6.0

* Sun Aug 10 2008 Olivier Blin <oblin@mandriva.com> 1:1.5.6.5-2mdv2009.0
+ Revision: 270238
- rebuild because some binary packages have been eaten by the BogeySystem

* Fri Aug 08 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.5.6.5-1mdv2009.0
+ Revision: 269053
- Updated to version 1.5.6.5

* Tue Jul 22 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.5.6.4-1mdv2009.0
+ Revision: 240125
- Release 1.5.6.4
- obsolete gitcompletion package

* Mon Jun 23 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.5.6-1mdv2009.0
+ Revision: 227982
- Release 1.5.6
- Clean requirement

* Thu Jun 12 2008 Anssi Hannula <anssi@mandriva.org> 1:1.5.4.3-4mdv2009.0
+ Revision: 218614
- fix versioned requires

* Wed Jun 11 2008 Anssi Hannula <anssi@mandriva.org> 1:1.5.4.3-3mdv2009.0
+ Revision: 218150
- fix obsoletes versioning
- remove conflict with old version of itself, that is implicit

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Rename linus-git to git, to match package name.
    - Besides renaming to git, also "provides" linus-git.
    - Rename spec file.
    - Rename linus-git package to just git, and based on changes made to original
      git package, allow both to be installed.

  + Emmanuel Andry <eandry@mandriva.org>
    - gitk requires tcl (#37661)

* Mon Feb 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.5.4.3-1mdv2008.1
+ Revision: 174935
- New upstream version

* Mon Feb 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1.5.4.2-1mdv2008.1
+ Revision: 172006
- New upstream version
- New license policy

* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.5.4.1-1mdv2008.1
+ Revision: 165231
- Release 1.5.4.1

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 1.5.3.5-7mdv2008.1
+ Revision: 155646
- rebuild for new perl
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Olivier Blin <oblin@mandriva.com> 1.5.3.5-4mdv2008.1
+ Revision: 110190
- do not require gitview (and thus pygtk2) in main package

* Mon Nov 12 2007 Thierry Vignaud <tv@mandriva.org> 1.5.3.5-3mdv2008.1
+ Revision: 108187
- really rebuild for lzma permissions issue (#35309)

* Tue Nov 06 2007 Thierry Vignaud <tv@mandriva.org> 1.5.3.5-2mdv2008.1
+ Revision: 106501
- rebuild for lzma permissions issue (#35309)

* Thu Nov 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.5.3.5-1mdv2008.1
+ Revision: 104693
- Updated to version 1.5.3.5.

* Mon Sep 24 2007 Arnaud Patard <apatard@mandriva.com> 1.5.3.2-1mdv2008.0
+ Revision: 92674
- Update to 1.5.3.2
- Add perl-CGI as buildreq. Needed for gitweb tests.

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 1.5.3.1

* Tue Aug 21 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2.5-1mdv2008.0
+ Revision: 68256
- 1.5.2.5

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - don't need rcs anymore

* Mon Jul 30 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.5.2.4-2mdv2008.0
+ Revision: 56649
- added Requires: curl for git-core, as at least git-ls-remote uses it

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2.4-1mdv2008.0
+ Revision: 55071
- 1.5.2.4 (but still don't fix buil problem with last docbook)
- 1.5.2.3

* Thu Jun 28 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.5.2.2-1mdv2008.0
+ Revision: 45444
- Fixed some group categories that doesn't exist in our rpmlint.
- Updated to version 1.5.2.2.

* Sun Jun 10 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2.1-1mdv2008.0
+ Revision: 37919
- 1.5.2.1

* Fri Jun 01 2007 Olivier Blin <oblin@mandriva.com> 1.5.2-3mdv2008.0
+ Revision: 33693
- install css/png files in /var/www/gitweb (they were unusable in cgi-bin directory)
- pass prefix and CFLAGS to install/test rules (so that make does not rebuild all files)

* Thu May 24 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.2-2mdv2008.0
+ Revision: 30779
- Create a gitweb package and add a default config file for it too

* Wed May 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.2-1mdv2008.0
+ Revision: 30074
- Release 1.5.2

* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.1.4-2mdv2008.0
+ Revision: 26273
- install bash_completion and vim syntax files

* Wed May 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.5.1.4-1mdv2008.0
+ Revision: 25424
- New version 1.5.1.4

* Wed Apr 25 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.1.2-1mdv2008.0
+ Revision: 18248
- Release 1.5.1.2

* Wed Apr 25 2007 Frederic Crozat <fcrozat@mandriva.com> 1.5.1-1mdv2008.0
+ Revision: 18240
- Release 1.5.1


* Sat Nov 04 2006 Stefan van der Eijk <stefan@mandriva.org> 4.3.20-13mdv2007.0
+ Revision: 76519
- rebuild for signature
- rebuild
- Import git

* Wed Sep 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.3.20-14mdv2007.0
- Use mkrel
- Rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.3.20-10mdk
- Rebuild

